Bug 533753 - Review Request: python-pep8 - Python style guide checker
Summary: Review Request: python-pep8 - Python style guide checker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-08 23:41 UTC by Ian Weller
Modified: 2014-02-26 12:59 UTC (History)
4 users (show)

Fixed In Version: python-pep8-0.4.2-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 04:14:11 UTC
tomspur: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
diff of approved spec and the spec I plan to check in (1.20 KB, patch)
2009-11-09 22:16 UTC, Ian Weller
no flags Details | Diff

Description Ian Weller 2009-11-08 23:41:26 UTC
Spec URL: http://ianweller.fedorapeople.org/SRPMS/python-pep8/0.4.2-1/python-pep8.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/python-pep8/0.4.2-1/python-pep8-0.4.2-1.fc11.src.rpm
Description:
pep8 is a tool to check your Python code against some of the style conventions
in PEP 8. It has a plguin architecture, making new checks easy, and its output
is parseable, making it easy to jump to an error location in your editor.

Comment 1 Thomas Spura 2009-11-09 22:01:49 UTC
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
  Using just 'pep8' and not 'python-pep8' won't makes sense.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: 
       [] devel/i386 
       [] devel/x86_64
       [] F11/i386 
       [x] F11/x86_64
 [x] Rpmlint output:
$ rpmlint python-pep8.spec python-pep8-0.4.2-1.fc11.src.rpm noarch/python-pep8-0.4.2-1.fc11.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

 [x] Buildroot is correct
     (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: Expat or MIT -> MIT
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     Upstream source: da8562ef0b18ae9ced210cff742a2d1b
     Build source:    da8562ef0b18ae9ced210cff742a2d1b
 [x] Package is not known to require ExcludeArch


 [!] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
Missing BR: python-setuptools

 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [!] Package should compile and build into binary rpms on all supported architectures.
Missing BR.
With python-setuptools:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1797324
 [x] Package functions as described (no hardware to test with).
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.


Issues:
- Missing BR: python-setuptools

Anything else is fine.

________________________________

  APPROVED

Comment 2 Ian Weller 2009-11-09 22:15:27 UTC
I'll be attaching a diff of the spec in a sec for transparency. Consists of a release bump, adding the necessary BR, and fixing a syntax error in the %changelog. Also, I just noticed the upstream URL was incorrect for that particular package from pypi, so that was adjusted.

New Package CVS Request
=======================
Package Name: python-pep8
Short Description: Python style guide checker
Owners: ianweller
Branches: F-11 F-12 EL-5
InitialCC:

Comment 3 Ian Weller 2009-11-09 22:16:23 UTC
Created attachment 368301 [details]
diff of approved spec and the spec I plan to check in

Comment 4 Kevin Fenzi 2009-11-11 03:53:56 UTC
cvs done.

Comment 5 Ian Weller 2009-11-11 04:45:18 UTC
thanks, kevin.

Comment 6 Fedora Update System 2009-11-29 07:57:21 UTC
python-pep8-0.4.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-pep8-0.4.2-2.fc11

Comment 7 Fedora Update System 2009-11-29 07:57:27 UTC
python-pep8-0.4.2-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-pep8-0.4.2-2.el5

Comment 8 Fedora Update System 2009-11-29 07:57:32 UTC
python-pep8-0.4.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-pep8-0.4.2-2.fc12

Comment 9 Fedora Update System 2009-12-01 04:14:06 UTC
python-pep8-0.4.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-12-01 04:34:56 UTC
python-pep8-0.4.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-03-12 03:39:09 UTC
python-pep8-0.4.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Matthias Runge 2014-02-26 09:41:09 UTC
Package Change Request
======================
Package Name: python-pep8
New Branches: epel7
Owners: ianweller mrunge

Comment 13 Gwyn Ciesla 2014-02-26 12:59:10 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.